<template>
  <div class="fwgl_container">
    <side-nav-bar
      title="个人中心"
      imgSrc="tool_fuwu"
      :nav-list="navList"
      :title-path="navList[0] && navList[0].path"
    ></side-nav-bar>
    <div class="main_container">
      <router-view :key="'type_' + $route.params.type"></router-view>
    </div>
  </div>
</template>

<script>
import sideNavBar from "@/components/side-nav-bar";

export default {
  components: {
    sideNavBar
  },
  data: () => ({
    navList: []
  }),
  watch: {
    "$route.fullPath"(path) {
      this.initNavList();
    }
  },
  methods: {
    initNavList() {
      this.$api.general.getNowMenu({ teamName: "APAAS3" }).then(response => {
        if (response.data.success == 1) {
          let arr = response.data.data[0].Child;
          let user_index = arr.findIndex(item => item.visit_url == "/user");
          if (user_index != -1) {
            this.navList = arr[user_index].Child;
            this.navList.forEach(item => {
              item.name = item.menu_name;
              item.path = item.visit_url;
            });
          }
        }
      });
    }
  },
  mounted() {
    this.initNavList();
  }
};
</script>

<style scoped>
.fwgl_container {
  height: calc(100vh - 84px);
  display: flex;
  justify-content: flex-start;
  align-items: stretch;
}
.side_nav_bar {
  width: 180px;
  flex-shrink: 0;
}
.main_container {
  width: calc(100% - 180px);
  flex-grow: 1;
  flex-shrink: 1;
  background-color: #f6f7fb;
  overflow: auto;
}
</style>
